# Generated from squire-1.3.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name squire

Name: rubygem-%{gem_name}
Version: 1.3.7
Release: 1%{?dist}
Summary: Squire handles your configuration per class/file by common config DSL and extensible source formats
License: MIT
URL: https://github.com/smolnar/squire
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(settingslogic)
BuildArch: noarch

%description
Squire handles your configuration by common config DSL.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/benchmark
%{gem_libdir}
%{gem_instdir}/squire.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/squire.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.3.7-1
- Initial package
